<packet-view-minecraft-time>
  <style type="text/less">
    :scope {
      canvas {
        vertical-align: top;
        margin: 10px;
      }
    }
  </style>
  <script>
    const $ = require('jquery');
    this.on('mount', () => {
      let canvas = $('<canvas width="200" height="200">');
      $(this.root).append(canvas);
      let ctx = canvas[0].getContext('2d');
      ctx.strokeStyle = '#82ae63';
      ctx.lineWidth = 5;
      ctx.fillStyle = '#c4c4ab';
      ctx.beginPath();
      ctx.arc(100, 100, 80, 0, Math.PI*2, false);
      ctx.stroke();
      ctx.fill();

      let sec = opts.val * 20;
      let min = ((opts.val * 2 / 10) % 100) / 100 * 60;
      let minRad = Math.PI * 2 * (min / 60) - Math.PI / 2;
      let hour = Math.floor(opts.val * 2 / 1000);
      let hourRad = Math.PI * 2 * (hour / 12) - Math.PI / 2;

      for (let i = 0; i < 12; ++i) {
        let rad = Math.PI * 2 * (i / 12) - Math.PI / 2;
        ctx.beginPath();
        ctx.lineTo(100 + 75 * Math.cos(rad), 100 + 75 * Math.sin(rad));
        ctx.lineTo(100 + 80 * Math.cos(rad), 100 + 80 * Math.sin(rad));
        ctx.stroke();
      }

      ctx.lineWidth = 4;
      ctx.strokeStyle = '#2b303b';
      ctx.beginPath();
      ctx.moveTo(100, 100);
      ctx.lineTo(100 + 70 * Math.cos(minRad), 100 + 70 * Math.sin(minRad));
      ctx.stroke();

      ctx.lineWidth = 5;
      ctx.beginPath();
      ctx.moveTo(100, 100);
      ctx.lineTo(100 + 50 * Math.cos(hourRad), 100 + 50 * Math.sin(hourRad));
      ctx.stroke();
    });
  </script>
</packet-view-minecraft-time>
